{
  "format_version": "1.10.0",
  "minecraft:entity": {
    "description": {
      "identifier": "cc:floating_text",
      "is_spawnable": true,
      "is_summonable": true,
      "is_experimental": false
    },
    "components": {
      "minecraft:type_family": {
        "family": ["floatingtext"]
      },
      "minecraft:health": {
        "value": 999999999,
        "max": 999999999
      },
      "minecraft:collision_box": {
        "width": 0.6,
        "height": 1.8
      },
      "minecraft:nameable": {
        "alwaysShow": true,
        "allowNameTagRenaming": true
      },
      "minecraft:fire_immune": true,
      "minecraft:scale": {
        "value": 0
      },
      "minecraft:knockback_resistance": {
        "value": 1
      },
      "minecraft:physics": {
        "has_gravity": false
      },
      "minecraft:pushable": {
        "is_pushable": false
      },
      "minecraft:damage_sensor": {
        "triggers": {
          "cause": "all",
          "deals_damage": false,
          "on_damage": {
            "event": "left_click"
          }
        }
      }
    },
    "component_groups": {},
    "events": {
      "left_click": {
        "run_command": {
          "target": "self",
          "command": [
            "tag @s add edit",
            "execute @s[tag=edit] ~ ~ ~ execute @e[tag=floating] ~ ~ ~ function floating_text_function/menu_edit_multi/edit"
          ]
        }
      }
    }
  }
}
